I'm attempting to upgrade to MacPorts 2.3.5 on a PowerMac running OS X 10.5. The upgrade is failing with the error:

Error: org.macports.checksum for port py27-setuptools returned: Unable to verify file checksums.

More of the output:

$ port upgrade outdated
...

--->  Computing dependencies for py27-setuptools
--->  Verifying checksums for py27-setuptools
Error: Checksum (md5) mismatch for setuptools-28.8.0.tar.gz
Error: Checksum (rmd160) mismatch for setuptools-28.8.0.tar.gz
Error: Checksum (sha256) mismatch for setuptools-28.8.0.tar.gz
Error: org.macports.checksum for port py27-setuptools returned: Unable to verify file checksums

I tried to manually install it but got the same error. The manual installation came from MacPorts Issue 43307:

$ cd /opt/local/var/macports/distfiles/py-setuptools
 PowerMac:py-setuptools$ sudo curl -k -O
 https://pypi.python.org/packages/source/s/setuptools/setuptools-28.8.0.tar.gz
 Password:
   % Total    % Received % Xferd  Average Speed   Time    Time     Time
 Current
                                  Dload  Upload   Total   Spent    Left
 Speed
 100   315  100   315    0     0    894      0 --:--:-- --:--:-- --:--:--
 948

$ sudo port install py27-setuptools
 --->  Computing dependencies for py27-setuptools
 --->  Fetching distfiles for py27-setuptools
 --->  Verifying checksums for py27-setuptools
 Error: Checksum (md5) mismatch for setuptools-28.8.0.tar.gz
 Error: Checksum (rmd160) mismatch for setuptools-28.8.0.tar.gz
 Error: Checksum (sha256) mismatch for setuptools-28.8.0.tar.gz
 Error: org.macports.checksum for port py27-setuptools returned: Unable to
 verify file checksums
 Please see the log file for port py27-setuptools for details:
 /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports
 .org_release_tarballs_ports_python_py-setuptools/py27-setuptools/main.log
 To report a bug, follow the instructions in the guide:
     http://guide.macports.org/#project.tickets
 Error: Processing of port py27-setuptools failed

I can't remove Python 2.7 because it removes SSH and some other programs I depend on. Removing SSH means I lose access to the box. I'm not sure where the SSH/Python dependency comes from. I've built OpenSSH from sources, and the dependency does not exit in real life.

How do I finish the 2.3.5 upgrade?

  • The download size of only 315 bytes looks suspicious and indeed https://pypi.python.org/packages/source/s/setuptools/setuptools-28.8.0.tar.gz returns an XML document containing The specified key does not exist. – codebrewer Nov 25 '16 at 9:03
  • OK, thanks. It sounds like one of their scripts needs some work. I'll keep waiting for the fix. – jww Nov 26 '16 at 15:30
  • Did you resolve this? py27-setuptools @28.8.0 installed fine on my iMac running 10.12.1. I'd say the upstream URL format has changed since the time of that ticket you found as it's now this for 28.8.0 (found towards the bottom here). It looks unpredictable for any given version so I wonder if the portfile fetches it some other way - pip maybe? – codebrewer Dec 1 '16 at 22:19

Your Answer

 

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.